View Issue Details

IDProjectCategoryView StatusLast Update
0000044Bacula-Webfeaturepublic2013-11-19 15:05
ReportercraigAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version5.1.0 - alpha 
Target Version5.2.11Fixed in Version5.2.11 
Summary0000044: Job status report - Sort job list by different column
DescriptionJob status report - Sort jobs list by

 - Elapsed time
 - Size
 - Pool
 - etc...
TagsNo tags attached.

Activities

nmmn

2012-09-04 13:10

reporter  

jobs_order.patch (1,556 bytes)
--- jobs.php.orig	2012-09-04 12:57:48.000000000 +0200
+++ jobs.php	2012-09-04 13:03:22.000000000 +0200
@@ -41,6 +41,10 @@
 
 $view->assign('job_status', $job_status);
 
+$job_order = array ( JOB_ID => 'Job id', JOB_BYTES => 'Bytes', JOB_FILES => 'Files');
+
+$view->assign( 'job_order', $job_order );
+
 // Global variables
 $job_levels = array('D' => 'Diff', 'I' => 'Incr', 'F' => 'Full');
 
@@ -70,10 +74,23 @@
             break;
     }
     $view->assign('job_status_filter', $posts['status']);
-}
 
-// order by
-$query .= "ORDER BY Job.JobId DESC ";
+	switch ( $posts['order'] ) {
+		case JOB_ID:
+			$query .= "ORDER BY Job.JobId DESC ";
+			break;
+		case JOB_BYTES:
+			$query .= "ORDER BY Job.JobBytes DESC ";
+			break;
+		case JOB_FILES:
+			$query .= "ORDER BY Job.JobFiles DESC ";
+			break;
+		}
+	$view->assign('job_order_filter', $posts['order'] );
+} else {
+	// order by
+	$query .= "ORDER BY Job.JobId DESC ";
+}
 
 // Jobs per page
 $jobs_per_page = array(25 => '25', 50 => '50', 75 => '75', 100 => '100', 150 => '150');
--- application/view/jobs.tpl.orig	2012-09-04 13:01:18.000000000 +0200
+++ application/view/jobs.tpl	2012-09-04 13:02:34.000000000 +0200
@@ -28,6 +28,10 @@
 			{t}Job status{/t}
 			{html_options name=status values=$job_status options=$job_status selected=$job_status_filter onChange="submit();"}
 		</td>
+		<td class="info" width="160">
+			{t}Order by{/t}
+			{html_options name=order values=$job_order options=$job_order selected=$job_order_filter onChange="submit();"}
+		</td>
 	  </tr>
 	</table>
 	</form>
jobs_order.patch (1,556 bytes)

nmmn

2012-09-04 13:10

reporter   ~0000153

I have patched our local bacula-web installation, so that you can choose via drop-down how to sort the job list. Maybe this helps fixing this feature request?

davide

2013-01-02 14:17

manager   ~0000178

Did you have a chance to try the latest version ?

Thanks for your feedback

Davide

nmmn

2013-01-03 11:02

reporter   ~0000184

It works in the current version, but I think that the way it was implemented needs a lot of screen estate. It was a lot smaller before.

davide

2013-01-03 11:16

manager   ~0000185

Thanks for your feedback.

You're right, for next version, I'll try to save some screen space.

Regards

davide

2013-01-03 11:16

manager   ~0000186

Requested feature implemented in version 5.2.11

davide

2013-11-19 15:05

manager   ~0000326

Issue closed

Issue History

Date Modified Username Field Change
2011-11-06 12:46 davide New Issue
2011-11-06 12:46 davide Status new => assigned
2011-11-06 12:46 davide Assigned To => davide
2011-11-06 12:47 davide Reporter davide => craig
2012-08-10 11:41 davide Target Version => 5.2.11
2012-09-04 13:10 nmmn File Added: jobs_order.patch
2012-09-04 13:10 nmmn Note Added: 0000153
2013-01-02 14:17 davide Note Added: 0000178
2013-01-02 14:17 davide Status assigned => feedback
2013-01-03 11:02 nmmn Note Added: 0000184
2013-01-03 11:16 davide Note Added: 0000185
2013-01-03 11:16 davide Note Added: 0000186
2013-01-03 11:16 davide Status feedback => resolved
2013-01-03 11:16 davide Fixed in Version => 5.2.11
2013-01-03 11:16 davide Resolution open => fixed
2013-11-19 15:05 davide Status resolved => closed
2013-11-19 15:05 davide Note Added: 0000326